/**
 * Fast implementation of standard Headers
 */
export declare class Headers extends Map<string, string | string[]> {
    constructor(init?: Headers | HeadersInit);
    set(name: any, value: any): this;
    get(name: any): string;
    has(name: any): boolean;
    setIfNone(name: any, value: any): this;
    append(name: any, value: any, commaDelimited: any): this;
    [Symbol.iterator](): MapIterator<string | string[]>;
}
export declare function appendHeader(headers: any, name: any, value: any, commaDelimited: any): any;
/**
 * Merge headers from source into target, ensuring that target is a Headers object, and avoiding any overwrite
 * of existing headers in target.
 * @param target
 * @param source
 */
export declare function mergeHeaders(target: any, source: Headers): any;
